#ifndef DB_SETS_H
#define DB_SETS_H

#ifdef __cplusplus
extern "C"
{
#endif

    int open_sets_db();

    void close_sets_db();

    int add_set(const char* name, const char* problems, const char* data, int* result);

    int delete_set(int id);

    int get_set(int id, char** result);

    int modify_set(int id, const char* name, const char* problems, const char* data);

    int all_sets(char** result);

#ifdef __cplusplus
}
#endif

#endif